# Fighter Endpoint

This endpoint returns detailed information for a given fighter, including basic result info on all of their UFC fights. This information is kept up to date every 5 minutes.

## **Endpoint URL**

| Legacy - `https://dde-api.data.imgarena.com/mma/fighters/{id}`(Decommissioning 30th Sept 2026) |
| ---------------------------------------------------------------------------------------------- |
| **NEW** - `https://dde-api.data.srarena.io/mma/fighters/{id}`                                  |

## **Required Headers**

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

## **Response Model:**

### **Fighters Object**

| Field Name               | Type    | Description                                                                                                                                  |
| ------------------------ | ------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| leftstanceImage          | string  | will return null                                                                                                                             |
| weight                   | float   | the weigh in weight, in lb, of the fighter. Will be null if unknown.                                                                         |
| reach                    | float   | the reach, in inches, of the fighter. Will be null if unknown.                                                                               |
| fights                   | array   | the number of fights that the fighter has participated in                                                                                    |
| currentWinStreak         | integer | the number of consecutive fights been won                                                                                                    |
| headshotImage            | string  | will return null                                                                                                                             |
| rightStanceImage         | string  | will return null                                                                                                                             |
| dob                      | date    | the date of birth of the fighter                                                                                                             |
| weightClass              | object  | an object containing information on the fighters weight class                                                                                |
| fightsOutOf              | string  | the city, state, country code of where the fighter currently fights out of                                                                   |
| height                   | integer | the height, in inches, of the fighter. Will be null if unknown.                                                                              |
| winByMethod              | object  | an object containing a detailed breakdown of the fighters win                                                                                |
| country                  | string  | country of the fighter                                                                                                                       |
| age                      | integer | the age of the fighter                                                                                                                       |
| accolades                | array   | detailed information on the belt                                                                                                             |
| lastName                 | string  | the last name of the fighter                                                                                                                 |
| stance                   | string  | the stance of the fighter. Possible values; Orthodox, Southpaw, Switch, Open. Will be null if unknown.                                       |
| firstName                | string  | the first name of the fighter                                                                                                                |
| nickName                 | string  | the nickname of the fighter                                                                                                                  |
| ufcLink                  | string  | will return null                                                                                                                             |
| rankings                 | array   | currently an emptry array                                                                                                                    |
| averageFightTime         | integer | <p>the avg duration of the fights the fighter has participated in<br><br>currently return as null</p>                                        |
| born                     | string  | the city, state, country code of where the fighter was born                                                                                  |
| record                   | object  | detailed information of the fighters record                                                                                                  |
| sigStrikesAccuracy       | Float   | <p>Percentage: Career Significant Strikes Landed / Career Significant Strikes Attempted<br><br>currently return as 0.0</p>                   |
| ufcBonus                 | Array   | will return null                                                                                                                             |
| sigStrikesPerMin         | Float   | <p>Significant strikes landed per minute<br><br>currently will return as 0.0</p>                                                             |
| careerOffensiveBreakdown | Array   | will return null                                                                                                                             |
| takedownsDefense         | Float   | <p>Percentage: One minus Takedowns landed by opponents divided by takedowns attempted by opponents.<br><br>currently return as 0.0</p>       |
| takedownAccuracy         | Float   | <p>takedown accuracy averaged per 15 minutes of fight time.<br><br>currently return as 0.0</p>                                               |
| takedownAvg              | Float   | <p>Takedowns landed averaged per 15 minutes of fight time.<br><br>currently return as 0.0</p>                                                |
| sigStrikesAbsorbed       | Float   | <p>Significant Strikes Absorbed per Minute.<br><br>currently return as 0.0</p>                                                               |
| sigStrikesDefense        | Float   | <p>Percentage: Opponent Career Significant Strikes landed / Opponent Career Significant Strikes Attempted<br><br>currently return as 0.0</p> |
| submissionsAverage       | Float   | <p>submission averaged per 15 minutes of fight time.<br><br>currently return as 0.0</p>                                                      |

### **Fight Array (for historical results)**

| Field Name   | Type                     | Description                                                   |
| ------------ | ------------------------ | ------------------------------------------------------------- |
| weight       | decimal                  | The fighter’s weight for that fight                           |
| eventName    | string                   | The name of the event where the fight took place              |
| titleFight   | boolean                  | True if the fight was for a title                             |
| result       | string                   | “WON”, “LOST”, “DRAW”, “NOCONTEST”                            |
| dateTime     | string                   | Date/Time of the fight                                        |
| finishMethod | object (might be string) | detailed information on the finish method of the fight        |
| fightcardId  | integer                  | Id of the fightcard where the fight took place                |
| opponent     | object                   | Fighter ID, name & their record info at the time of the fight |
| title        | string                   | What title the fight was for (if applicable)                  |

### **Finish Method Object:**

| Field Name | Type   | Description                          |
| ---------- | ------ | ------------------------------------ |
| type       | string | the finish method type               |
| submission | string | the specific type of submission used |

### **Opponent Object**

| Field Name | Type   | Description                                   |
| ---------- | ------ | --------------------------------------------- |
| fighterId  | int    | The ID of the fighter                         |
| lastName   | string | The last name of the fighter                  |
| firstName  | string | The first name of the fighter                 |
| nickName   | string | the nickname of the fighter                   |
| record     | object | The fighter’s record at the time of the fight |

### **Record Object**

| Field Name | Type    | Description                            |
| ---------- | ------- | -------------------------------------- |
| wins       | integer | Their number of wins in the PFL        |
| losses     | integer | Their number of losses in the PFL      |
| draws      | integer | Their number of draws in the PFL       |
| noContests | integer | Their number of no contests in the PFL |

### **Weightclass Object**

| Field Name   | Type    | Description                                                    |
| ------------ | ------- | -------------------------------------------------------------- |
| weight       | string  | the weight range, in lb, of the weightclass of the fighter     |
| description  | string  | description of the weightclass of the fighter                  |
| id           | integer | ID of the weightclass of the fighter                           |
| obsolete     | boolean | new field required further clarification                       |
| abbreviation | string  | abbreviated description of the weightclass of the fighter      |
| organisation | string  | The organisation that the weightclass is associated to i,e PFL |

### **WinByMethod Object**

| Field Name     | Type    | Description                                         |
| -------------- | ------- | --------------------------------------------------- |
| kotkoWins      | integer | number of wins by ko/tko                            |
| submissionWins | integer | number of wins by submission                        |
| decisionWins   | integer | number of wins by decision                          |
| otherWins      | integer | number of wins by other means i.e. disqualification |

### **Record Object**

| Field Name | Type    | Description                                |
| ---------- | ------- | ------------------------------------------ |
| wins       | integer | The number of wins for that fighter        |
| losses     | integer | The number of losses for that fighter      |
| draws      | integer | The number of draws for that fighter       |
| noContests | integer | The number of no contests for that fighter |

## **Sample Response**

```
{
    "leftStanceImage": null,
    "fights": [
        {
            "titleFight": false,
            "result": null,
            "fightcardId": 2427,
            "opponent": {
                "fighterId": 6160,
                "lastName": "Viana",
                "record": {
                    "draws": 0,
                    "losses": 3,
                    "noContests": 0,
                    "wins": 9
                },
                "firstName": "Guilherme",
                "nickName": null
            },
            "title": null,
            "weight": null,
            "eventName": "PFL World Tournament 10: 2025: Edwards vs Rosta",
            "dateTime": "2025-08-21T18:00:00",
            "finishMethod": null
        }
    ],
    "currentWinStreak": 0,
    "headshotImage": null,
    "sigStrikesAccuracy": 0.0,
    "country": null,
    "age": 30,
    "takedownAvg": 0.0,
    "lastName": "Magomedov",
    "rankings": [],
    "ufcBonus": null,
    "sigStrikesPerMin": 0.0,
    "averageFightTime": null,
    "careerOffensiveBreakdown": null,
    "takedownAccuracy": 0.0,
    "sigStrikesAbsorbed": 0.0,
    "weight": 205,
    "reach": 73,
    "rightStanceImage": null,
    "dob": "1995-01-01",
    "weightClass": {
        "weight": "186-205",
        "description": "Light Heavyweight",
        "id": 4,
        "obsolete": false,
        "abbreviation": "LHW"
    },
    "fightsOutOf": null,
    "height": 70,
    "winsByMethod": {
        "decisionWins": 0,
        "kotkoWins": 0,
        "otherWins": 0,
        "submissionWins": 0
    },
    "accolades": [],
    "sigStrikesDefense": 0.0,
    "stance": "southpaw",
    "ufcLink": null,
    "firstName": "Rasul",
    "nickName": null,
    "born": null,
    "submissionsAverage": 0.0,
    "record": {
        "draws": 0,
        "losses": 0,
        "noContests": 0,
        "wins": 7
    },
    "takedownsDefense": 0.0
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/pfl/schedule-endpoints-restful/fighter-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
